package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 访问路径实体类
 *
 */
@Table("storage_access_path")
public class StorageAccessPath extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("vendor_id")
    private Long vendorId;
    @Column("uuid")
    private String uuid;
    @Column("chap")
    private Boolean chap; // 访问路径是否开启chap
    @Column("tname")
    private String tname;  //访问路径开启chap时的目标端名称
    @Column("tsecret")
    private String tsecret; // 访问路径开启chap时的目标端机密
    @Column("type")
    private String type; // 访问路径类型 ISCSI和local SCSI
    @IgnoreAll
    private String hostNames;
    @IgnoreAll
    private Integer volumeCount;
    @IgnoreAll
    private Integer storageHostCount;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public Boolean getChap() {
        return chap;
    }

    public void setChap(Boolean chap) {
        this.chap = chap;
    }

    public String getTname() {
        return tname;
    }

    public void setTname(String tname) {
        this.tname = tname;
    }

    public String getTsecret() {
        return tsecret;
    }

    public void setTsecret(String tsecret) {
        this.tsecret = tsecret;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Integer getVolumeCount() {
        return volumeCount;
    }

    public void setVolumeCount(Integer volumeCount) {
        this.volumeCount = volumeCount;
    }

    public String getHostNames() {
        return hostNames;
    }

    public void setHostNames(String hostNames) {
        this.hostNames = hostNames;
    }

    public Integer getStorageHostCount() {
        return storageHostCount;
    }

    public void setStorageHostCount(Integer storageHostCount) {
        this.storageHostCount = storageHostCount;
    }
}
